# $Revision: 1.48 $, $Date: 2008/03/31 20:27:22 $
# TODO:
#  - split main package to few smaller (there is linphonec for console,
#    auto-answering machine and linphone applet for gnome)
#  - check if all this configure option I've set are really needed
#  - separate libraries that do not require gnome into subpackages for Jingle support in kopete
#  - separate ortp (is newer than current ortp.spec)
Summary:	Linphone Internet Phone
Summary(pl.UTF-8):	Linphone - telefon internetowy
Name:		linphone
Version:	2.1.1
Release:	0.1
License:	LGPL/GPL
Group:		Applications/Communications
Source0:	http://download.savannah.gnu.org/releases/linphone/stable/sources//%{name}-%{version}.tar.gz
# Source0-md5:	130fb6048f84ee89f7c1a8a010ff1add
#Patch0:		%{name}-desktop.patch
#Patch1:		%{name}-system-libs.patch
URL:		http://www.linphone.org/
BuildRequires:	a52dec-libs-devel
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.5
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-panel-devel
BuildRequires:	gtk-doc
BuildRequires:	jack-audio-connection-kit-devel >= 0.15.0
BuildRequires:	libgnomeui-devel
BuildRequires:	libgsm-devel >= 1.0.10
BuildRequires:	libosip2-devel >= 2.2.0
BuildRequires:	libsamplerate-devel >= 0.0.13
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	lpc10-devel >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	scrollkeeper
BuildRequires:	speex-devel >= 1.0.0
BuildRequires:	srtp-devel
Provides:	ortp = 0.14.2
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	/usr/bin/scrollkeeper-update
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linphone is a web phone: it let you phone to your friends anywhere in
the whole world, freely, simply by using the internet. The cost of the
phone call is the cost that you spend connected to the internet.

Here are the main features of linphone:
- Works with the GNOME Desktop under linux.
- Works as simply as a cellular phone. Two buttons, no more.
- Understands the SIP protocol.
- You just require a soundcard to use linphone.
- Linphone is free software, released under the General Public
  Licence.
- Linphone is documented: there is a complete user manual readable
  from the application that explains you all you need to know.

%description -l pl.UTF-8
Linphone to telefon internetowy - pozwala dzwonić do znajomych na
całym świecie bez dodatkowych opłat, używając tylko Internetu.

Główne cechy linphone:
- działanie ze środowiskiem GNOME
- naśladowanie prostego telefonu komórkowego - tylko dwa przyciski
- obsługa protokołu SIP
- wymaga karty dźwiękowej
- jest wolnodostępnym oprogramowaniem (na licencji GPL)
- ma dokumentację: pełny podręcznik dostępny z aplikacji.

%package devel
Summary:	Linphone Internet Phone - header files
Summary(pl.UTF-8):	Telefon internetowy Linphone - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9.0
Requires:	glib2-devel >= 2.0.0
Requires:	gtk-doc-common
Requires:	jack-audio-connection-kit-devel >= 0.15.0
Requires:	libgsm-devel >= 1.0.10
Requires:	libosip2-devel >= 2.2.0
Requires:	libsamplerate-devel >= 0.0.13
Requires:	lpc10-devel >= 1.5
Requires:	speex-devel >= 1.0.0
Provides:	ortp-devel = 0.14.2

%description devel
Development files for the Linphone Internet Phone.

%description devel -l pl.UTF-8
Pliki dla programistów używających telefonu internetowego Linphone.

%package static
Summary:	Linphone static libraries
Summary(pl.UTF-8):	Statyczne biblioteki Linphone
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	ortp-static = 0.14.2

%description static
Static version of Linphone libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek Linphone.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
# requires .po file fixes
#%%{__glib_gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--enable-alsa \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install share/linphone.desktop $RPM_BUILD_ROOT%{_desktopdir}
install pixmaps/*.png pixmaps/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

# kill .desktop in GNOME1-specific location
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/apps

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
/sbin/ldconfig

%postun
/usr/bin/scrollkeeper-update
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/liblinphone.so.*.*.*
%attr(755,root,root) %{_libdir}/libmediastreamer.so.*.*.*
%attr(755,root,root) %{_libdir}/libortp.so.*.*.*
%{_libdir}/mediastream
%{_datadir}/sounds/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
#%{_imagesdir}/*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblinphone.so
%attr(755,root,root) %{_libdir}/libmediastreamer.so
%attr(755,root,root) %{_libdir}/libortp.so
%{_libdir}/liblinphone.la
%{_libdir}/libmediastreamer.la
%{_libdir}/libortp.la
%{_includedir}/linphone
%{_includedir}/mediastreamer2
%{_includedir}/ortp
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblinphone.a
%{_libdir}/libmediastreamer.a
%{_libdir}/libortp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linphone.spec,v $
Revision 1.48  2008/03/31 20:27:22  undefine
- up to 2.1.1
- nfy

Revision 1.47  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.45  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.44  2006/05/19 09:11:39  qboosh
- libXft is not used directly

Revision 1.43  2006/05/04 20:22:37  wiget
- modular xorg dep

Revision 1.42  2006/04/04 16:04:48  aredridel
- 1.3.5

Revision 1.41  2006/03/23 11:37:08  qboosh
- updated system-libs patch is back, use system ortp too
- more cleanups, updated deps

Revision 1.40  2006/03/23 10:33:27  qboosh
- cleanups

Revision 1.39  2006/03/17 19:48:55  rotom
- just updated to 1.3.2

Revision 1.38  2006/03/13 18:45:58  djurban
- add Todo about separating libs into subpackage

Revision 1.37  2006/01/23 08:16:40  ankry
- added desktop patch

Revision 1.36  2005/12/21 01:18:15  charles
- BR: gettext-devel, pkgconfig

Revision 1.35  2005/12/20 19:50:43  jajcus
- Version: 1.2.0

Revision 1.34  2005/11/21 15:21:07  blues
- release 1 - works more or less

Revision 1.33  2005/11/04 21:23:31  wiget
- updated to 1.1.0

Revision 1.32  2005/03/28 18:42:21  witekfl
- update to 1.0.1

Revision 1.31  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.30  2004/02/09 00:20:09  arekm
- speex libs and headers removed (see speex.spec)

Revision 1.29  2003/10/31 15:06:54  djrzulf
- i think that description looks better than before :)

Revision 1.28  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.27  2003/09/25 17:57:28  gotar
- don't R: applnk

Revision 1.26  2003/09/19 10:49:18  adasi
 - added BR: gtk-doc

Revision 1.25  2003/09/03 19:06:11  krzak
- up to 0.12.0

Revision 1.24  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.23  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/06/27 14:08:49  radzio
- chmod 755 %%{_libdir}/linphone_applet

Revision 1.21  2003/06/27 10:39:48  qboosh
- added system-libs patch to use system ffmpeg, libgsm, lpc10 and speex
- removed BR xrender-devel, already required by xft-devel
- release 2.1 for testing

Revision 1.20  2003/06/27 09:04:43  radzio
- add BR: gnome-panel-devel

Revision 1.19  2003/06/27 00:35:51  radzio
- add patch1 with needed macro for automake (in acinclude.m4)
- linphone  use gnome-2 interface since 0.10.0 (so I fix some BR
  and configure options)
- add --with-alsa and --with-ipv6
- add some interesting files to main package
- update TODO
- rel 2

Revision 1.18  2003/06/26 09:19:42  qboosh
- s/Xft-devel/xft-devel/

Revision 1.17  2003/06/25 11:39:49  blues
- cosmetics

Revision 1.16  2003/06/24 06:09:14  zagrodzki
- upgraded to 0.11.0

Revision 1.15  2003/05/28 12:59:35  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.12  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.11  2003/01/03 14:51:45  qboosh
- cleanups, fixed license (parts are on LGPL v2.1+)
- fixed gtk-doc dir, moved API documentation to -devel
- moved static libraries to -static, removed Speex files

Revision 1.10  2003/01/02 14:37:13  blues
- 0.9.1 - some hacks with libtool

Revision 1.9  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.8  2002/11/25 14:17:11  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/10/09 11:28:15  qboosh
- more specific Requires, added missing dirs to -devel

Revision 1.6  2002/09/26 13:27:09  blues
- 0.9.0 - ac/am regeneration removed, workaround in libraries

Revision 1.5  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.4  2002/05/21 23:14:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/16 07:58:49  qboosh
- pl descriptions

Revision 1.2  2002/04/15 17:40:38  jajcus
- updates; seems to work now

Revision 1.1  2002/04/15 13:53:06  jajcus
- new spec, NFY
